Share on print
Share on facebook
Share on linkedin
Share on whatsapp
Share on email

As of July 31st 2023, Appspace will no longer provide support to legacy devices that are currently end-of-life, and is no longer supported by the manufacturer. These legacy devices not only have stopped receiving security patches, but may also not be able to support the latest security and network protocols currently implemented on the Appspace platform.

List of impacted legacy devices:

  • Cisco Edge 340
  • Cisco DMP 4310
  • Cisco DMP 4400
  • Direct X
  • Windows PCs running Appspace DirectX software

Phase One

The Deprecation Support for Legacy Devices was conducted during Q2 2022, where Appspace had started phasing out support for the TLS 1.0/1.1 (Transport Layer Security) protocols. After Q3 2022 (30th Sept 2022), Appspace no longer supported TLS 1.0/1.1 connections to the platform, with organizations recommended to retire their legacy devices for newer devices that supported the TLS 1.2+ protocol, or use a reverse proxy server.

Phase Two

Phase Two sees the complete termination for support for legacy devices that will take place in Q3 2023 (July 31st 2023), in which the these legacy devices will cease to operate on the Appspace platform, including those that currently remain online and connected as per the transitional configurations options recommended in during the deprecation of support for TLS 1.0/1.1 protocol.

What You Need To Do

Appspace recommends customers operating any of the legacy devices prior to July 31st 2023 to do the following:

  • Replace impacted legacy devices with a newer supported device, as there are several manufacturers that partner with Appspace offering excellent replacement options. Please find our most up to date list of fully certified and supported reference devices available in our Supported Devices & Operating Systems article. However, if you’re still unsure, our Appspace Customer Success Managers are always glad to help, and work with you and your chosen IT provider to ensure a suitable replacement device is found.
  • Terminate the use of any network proxy server for the TLS 1.0/1.1 conversion to TLS 1.2+ implementation, as previously recommended during the transition period in phase one.
Important
  • Please contact your Appspace Customer Success Manager if you have any questions.
  • Please view our Trust page for more information about our latest compliance and security standards.

External Links

Related Articles